<?php

require_once("../../config/Cado.php");

require_once ("../usuariogrupo/cUsuariogrupo.php");

$oUsuariogrupo = new cUsuariogrupo();





if($_POST['action_usuariogrupo']=="insertar"){



	if(!empty($_POST['txt_usugru_nom']))

	{

		$xac=1;

		$mos=1;

		$oUsuariogrupo->insertar(

			$xac,

			$_POST['txt_usugru_nom'],

			$mos			

		);



		$dts=$oUsuariogrupo->ultimoInsert();

			$dt = mysqli_fetch_array($dts);

		$usugru_id=$dt['last_insert_id()'];

			mysqli_free_result($dts);



		$data['usugru_id']=$usugru_id;

		$data['usugru_msj']='Se registró correctamente.';

	}

	else

	{

		$data['usugru_msj']='Intentelo nuevamente.';

	}



	echo json_encode($data);

}



if($_POST['action_usuariogrupo']=="editar"){

	if(!empty($_POST['txt_usugru_nom']))

	{

		$oUsuariogrupo->modificar(

			$_POST['hdd_usugru_id'],

			$_POST['txt_usugru_nom']			

		);



		$data['usugru_msj']='Se modifico correctamente.';

	}

	else

	{

		$data['usugru_msj']='Intentelo nuevamente.';

	}



	echo json_encode($data);

}





if($_POST['action']=="eliminar")

{

	if(!empty($_POST['usugru_id']))

	{

		$oUsuariogrupo->modificar_campo($_POST['usugru_id'],'xac','0');

		echo 'Se elimino correctamente.';



	}

	else

	{

		echo 'Intentelo nuevamente.';

	}

}



?>